%define git	20221208
%define rel	2

Summary:	A non-linear video editor
Name:		olive
Version:	0.2.0
Release:	%mkrel %{?git:3.%git.}%{rel}
License:	GPLv3
Group:		Video/Editors and Converters
Url:		https://www.olivevideoeditor.org
Source0:	https://github.com/olive-editor/olive/archive/olive-%{version}-git%{git}.tar.xz
ExcludeArch:	%{ix86} armv7hl
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	openimageio
BuildRequires:	pkgconfig(frei0r)
BuildRequires:	pkgconfig(Imath)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavfilter)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(OpenColorIO)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(OpenImageIO)
BuildRequires:	pkgconfig(Qt6Concurrent)
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6DBus)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Linguist)
BuildRequires:	pkgconfig(Qt6Network)
BuildRequires:	pkgconfig(Qt6OpenGLWidgets)
BuildRequires:	pkgconfig(Qt6OpenGL)
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(xkbcommon)

%description
Olive is a free non-linear video editor aiming to provide a
fully-featured alternative to high-end professional video editing
software.

%prep
%setup -q -n %{name}-%{version}-git%{git}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/olive-editor
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_datadir}/mime/packages/*.xml


%changelog
* Sun Jan 01 2023 wally <wally> 0.2.0-3.20221208.2.mga9
+ Revision: 1928491
- rebuild for openimageio 2.4.6.1

* Sat Dec 10 2022 ghibo <ghibo> 0.2.0-3.20221208.1.mga9
+ Revision: 1920290
- Update to release git 20221208

* Thu Nov 03 2022 ghibo <ghibo> 0.2.0-3.20221101.1.mga9
+ Revision: 1902282
- Update to release git 20221102.
- Switch to Qt6 build.
- Add more packages to BuildRequires.
- Cleanup obsolete mga7 support from SPEC file.

* Fri Sep 30 2022 pterjan <pterjan> 0.2.0-3.20220405.2.mga9
+ Revision: 1893577
- Fix ExcludeArch to be armv7hl rather than armv7h

* Thu Aug 18 2022 papoteur <papoteur> 0.2.0-3.20220405.1.mga9
+ Revision: 1878588
- enable sse for i586 and armv7h
+ luigiwalser <luigiwalser>
- BR: portaudio-2.0
- BR Qt5Concurrent
- BR OpenImageIO
- update to 20220405 git snapshot for ffmpeg 5.0 support
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Sun Aug 30 2020 daviddavid <daviddavid> 0.1.2-3.20200416.2.mga8
+ Revision: 1619812
- add patch to fix build with Qt 5.15

* Thu May 07 2020 ghibo <ghibo> 0.1.2-3.20200416.1.mga8
+ Revision: 1581565
- Use %%cmake_build
- Update to release from git 20200416
- Added some BuildRequires.
- Update to git 20200416.
- Added some BuildRequires.
- Use cmake.

* Wed Feb 19 2020 umeabot <umeabot> 0.1.2-2.mga8
+ Revision: 1544555
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 0.1.2-1.mga8
+ Revision: 1483269
- new version: 0.1.2

* Thu Apr 25 2019 ghibo <ghibo> 0.0-1.git20190421.1.mga7
+ Revision: 1395358
- Update to fix trimming one frame clips (2019-04-21).

* Thu Apr 18 2019 ghibo <ghibo> 0.0-1.git20190417.1.mga7
+ Revision: 1393176
- Fix release numbering to be mass_rebuild bot compliant (thanks to David
  Geiger).
- Update "continuous" build to git-20190417.

* Tue Apr 16 2019 ghibo <ghibo> 0.0-1.git20190414.mga7
+ Revision: 1391800
- imported package olive


* Tue Apr 16 2019 ghibo <ghibo> 0.0-1.20190414.mga7
- Initial release.

